/*
 * Copyright (C) 2013 DASISH
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package eu.dasish.annotation.backend.rest;

import eu.dasish.annotation.backend.Helpers;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import org.springframework.stereotype.Component;

/**
 * The class contains so far 1 method, outputting a welcome string.
 * @author olhsha
 */
@Component
@Path("")
public class WelcomeResource extends ResourceResource{
   
    /**
     * 
     * @return the welcome-string for the logged-in principal, or the "null-principal".
     */
    @GET
    @Produces(MediaType.TEXT_HTML)
    @Path("")
    public String status() {
        String remotePrincipal= httpServletRequest.getRemoteUser();
        if (remotePrincipal != null) {
        return Helpers.welcomeString(httpServletRequest.getContextPath(),remotePrincipal);
        }
        else {
           return Helpers.welcomeString(httpServletRequest.getContextPath(), "null-principal"); 
        }
    } 
}
